# $Revision: 1.15 $, $Date: 2002/08/18 12:10:36 $
Summary:	Multi-target portable assembler
Summary(pl):	Przenony asembler dla wielu rodzin procesorw
Name:		asl
Version:	1.41r8
Release:	4
License:	GPL-like
Group:		Development/Languages
Source0:	ftp://sunsite.unc.edu/pub/Linux/devel/lang/assemblers/%{name}-%{version}.tar.gz
Source1:	%{name}-Makefile.def
BuildRequires:	tetex-latex
BuildRequires:	tetex-dvips
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
ExclusiveArch:	alpha %{ix86} sparc m68k

%description
A general purpose multi-target macro assembler with supporting tools.
This assembler supports many targets including some PIC's and DSP's.

%description -l pl
Makroasembler oglnego przeznaczenia wraz z narzdziami. Potrafi
generowa kod dla wielu rodzin ukadw, take dla procesorw
sygnaowych.

%prep
%setup -q
install %{SOURCE1} Makefile.def

%build
%ifarch alpha axp
ARCH=__alpha
%endif

%ifarch %{ix86}
ARCH=__i386
%endif

%ifarch sparc
ARCH=__sparc
%endif

%ifarch m68k
ARCH=__68k
%endif

%{__make} all docs ARCH=$ARCH \
	OPTFLAGS="%{rpmcflags} %{!?debug:-fomit-frame-pointer}"

%install
rm -rf $RPM_BUILD_ROOT
# asl's make install requires mkdirhier (from XFree) and always strips binaries
install -d $RPM_BUILD_ROOT{%{_bindir},%{_includedir}/%{name},%{_mandir}/man1,%{_libdir}/asl} \
	$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

install asl pbind plist p2bin p2hex $RPM_BUILD_ROOT%{_bindir}
install asl.1 pbind.1 plist.1 p2bin.1 p2hex.1 $RPM_BUILD_ROOT%{_mandir}/man1
install include/* $RPM_BUILD_ROOT%{_includedir}/%{name}

install *.msg $RPM_BUILD_ROOT%{_libdir}/asl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README doc_EN/as.doc
%lang(de) %doc doc_DE/as.doc
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_includedir}/asl
%{_libdir}/asl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: asl.spec,v $
Revision 1.15  2002/08/18 12:10:36  kloczek
- release 4.

Revision 1.14  2002/08/18 11:49:27  blues
license fix

Revision 1.13  2002/07/27 12:32:18  kloczek
- simplifications with install %doc.

Revision 1.12  2002/07/27 07:59:04  marcus
- addedd proper ExclusiveArch

Revision 1.11  2002/06/15 11:41:43  ankry
- removed %%lang(en)
- release 3

Revision 1.10  2002/04/25 15:48:36  arturs
fixed a small typo

Revision 1.9  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:12:26  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/05/02 00:42:07  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.6  2001/03/15 05:10:23  kloczek
- release 2: few cosmetics.

Revision 1.5  2001/03/10 15:41:03  qboosh
- missing dir: %%{_docdir}/%%{name}-%%{version}

Revision 1.4  2001/01/25 20:03:21  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.3  2001/01/22 04:24:47  kloczek
- corrected Source url.

Revision 1.2  2001/01/22 03:59:14  kloczek
- few cosmetics and one simplification in %install.

Revision 1.1  2001/01/20 00:08:15  qboosh
- initial PLD release
